1. Validation of `.xxe_gui` files
Prev | Chapter 3. Deployment | Next

## 1. Validation of `.xxe_gui` files

GUI specification files may be written using XMLmind XML Editor[3] or using a text editor.

If you use a text editor, do not forget to validate your GUI specification against its schema. After downloading and installing the add-on called "XMLmind XML Editor Configuration Pack" using Options → Install Add-ons, this schema is found in ``XXE_user_preferences_dir`/addon/xxe_config_pack/gui/xsd/gui.xsd`. Linux example:

    ~/.xxe5/addon$ /opt/xxe/bin/xmltool validate \
        -s ~/.xxe5/addon/xxe_config_pack/gui/xsd/gui.xsd tutorial7.xxe_gui

[3] You'll need to download and install the add-on called "XMLmind XML Editor Configuration Pack" in order to do that.

Prev | Up | Next
Chapter 3. Deployment | Home | 2. Deployment of a customization